Home

# Class goog.testing.ContinuationTestCase.Test

Creates a continuation test case, which consists of multiple test steps that occur in several phases. The steps are distributed between setUp, test, and tearDown phases. During the execution of each step, 0 or more steps may be added to the current phase. Once all steps in a phase have completed, the next phase will be executed. If any errors occur (such as an assertion failure), the setUp and Test phases will be cancelled immediately. The tearDown phase will always start, but may be cancelled as well if it raises an error.

extends goog.testing.TestCase.Test

Instance Method Summary
| `addStep(?goog.testing.ContinuationTestCase.Step step)` Adds a new test step to the end of the current phase. The new step will wait for a condition to be met before running, or will fail after a timeout.
| `cancelCurrentPhase()` Cancels all remaining steps in the current phase. Called after an error in any phase occurs.
| `cancelPhase_(?Array phase)` Clears a test phase and cancels any pending steps found.
| `cancelTestPhase()` Skips the rest of the setUp and test phases, but leaves the tearDown phase to clean up.
| `getCurrentPhase() ⇒ ?Array`
| `getError() ⇒ ?Error`
| `setError(?Error e)` Sets an error for the test so it can be reported. Only the first error set during a test will be reported. Additional errors that occur in later test phases will be discarded.